From: <[email-masked]>
Date: Thu, 04 Aug 94 13:39:26 EDT

Subj:  Urgent Action Needed Today            94-08-04 13:10:25 EDT
From:  RAK NGLTF

Sen. Jesse Helms today (Thursday, 8/4) introduced six amendments to the
Labor/HHS Appropriations bill and one to the VA/HUD appropriations bill.
Senate rules allow him to reserve the slots without revealing the specifics
of the amendments. He is scheduled to go to the floor sometime later today
and it may continue into tomorrow.

NGLTF is working in coalition with other organizations on alternative
amendments and other strategies. 

Phone calls to your Senators are needed IMMEDIATELY. Tell your Senators to
oppose any and all Helms amendments offered to the Labor/HHS Appropriations
bill. Demand that your Senators stand up to Helms' political gay-bashing and
oppose his hijacking of the Senate floor. For your Senators' phone numbers,
call the U.S. Capitol Switchboard at 202-224-3121.

Robin Kane
NGLTF Public Information Manager